'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const react = require('react');
const tslib = require('tslib');
const puzzleGlossary = require('@puzzlelabs/puzzle-glossary');

const PageWidget = props => {
    return react.createElement('page-widget', props);
};

const HighlightZone = (_a) => {
    var { as = 'span' } = _a, props = tslib.__rest(_a, ["as"]);
    const ref = react.useRef();
    const mark = () => puzzleGlossary.highlightWidgetManager.ready && puzzleGlossary.highlightWidgetManager.mark([ref.current]);
    react.useEffect(() => puzzleGlossary.highlightWidgetManager.subscribe(mark), []);
    react.useEffect(() => mark, [props.children]);
    return react.createElement(as, Object.assign(Object.assign({}, props), { ref, onInput: event => {
            var _a;
            (_a = props.onInput) === null || _a === void 0 ? void 0 : _a.call(props, event);
            mark();
        } }));
};

exports.HighlightZone = HighlightZone;
exports.PageWidget = PageWidget;
